Bug 2090202 - dnf install kdevelop wants to downgrade llvm and mesa
Summary: dnf install kdevelop wants to downgrade llvm and mesa
Keywords:
Status: NEW
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: kdevelop
Version: epel8
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jan Grulich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-05-25 11:18 UTC by giunta
Modified: 2022-06-23 11:19 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description giunta 2022-05-25 11:18:17 UTC
Description of problem:
On a fresh CentOS Stream 8 installation, if I want to install kdevelop, dnf wants to downgrade llvm-compat-libs and mesa-*

Version-Release number of selected component (if applicable):

kdevelop 9:5.6.2-2.el8

How reproducible:
Install a fresh CentOS Stream 8, update all packages (dnf update)

Steps to Reproduce:
1. dnf install kdevelop

Actual results:
# dnf install kdevelop
Updating Subscription Management repositories.
Unable to read consumer identity

This system is not registered with an entitlement server. You can use subscription-manager to register.

Last metadata expiration check: 1:10:59 ago on 2022-05-25T12:03:51 CEST.
Dependencies resolved.
===================================================================================================================================================================================================
 Package                                     Architecture                   Version                                                        Repository                                         Size
===================================================================================================================================================================================================
Installing:
 kdevelop                                    x86_64                         9:5.6.2-2.el8                                                  epel                                      5.1 M
Installing dependencies:
 astyle                                      x86_64                         3.1-8.el8                                                      epel                                      263 k
 clang-tools-extra                           x86_64                         14.0.0-1.module_el8.7.0+1142+5343df54                          centos-appstream                           15 M
 cppcheck                                    x86_64                         2.4-1.el8                                                      centos-powertools                         1.9 M
 grantlee-qt5                                x86_64                         5.2.0-5.el8                                                    epel                                      360 k
 kdevelop-libs                               x86_64                         9:5.6.2-2.el8                                                  epel                                      5.8 M
 kf5-kactivities                             x86_64                         5.88.0-1.el8                                                   epel                                      156 k
 kf5-kcmutils                                x86_64                         5.88.0-1.el8                                                   epel                                      240 k
 kf5-kdeclarative                            x86_64                         5.88.0-2.el8.next                                              epel-next                                 329 k
 kf5-kirigami2                               x86_64                         5.88.0-2.el8.next                                              epel-next                                 437 k
 kf5-kitemmodels                             x86_64                         5.88.0-1.el8                                                   epel                                      147 k
 kf5-krunner                                 x86_64                         5.88.0-1.el8                                                   epel                                      145 k
 kf5-plasma                                  x86_64                         5.88.0-1.el8                                                   epel                                      3.7 M
 kf5-threadweaver                            x86_64                         5.88.0-1.el8                                                   epel                                       81 k
 libkomparediff2                             x86_64                         21.08.3-1.el8                                                  epel                                      119 k
 libksysguard                                x86_64                         5.23.3-1.el8                                                   epel                                      1.2 M
 libksysguard-common                         x86_64                         5.23.3-1.el8                                                   epel                                       58 k
 lm_sensors-libs                             x86_64                         3.4.0-23.20180522git70f7e08.el8                                centos-baseos                              59 k
 meson                                       noarch                         0.58.2-2.el8                                                   centos-powertools                         1.3 M
 ninja-build                                 x86_64                         1.8.2-1.el8                                                    centos-powertools                         138 k
 okteta-libs                                 x86_64                         1:0.26.4-4.el8                                                 epel                                      878 k
 qca-qt5                                     x86_64                         2.3.4-1.el8                                                    epel                                      470 k
 qt5-qtwebkit                                x86_64                         5.212.0-0.63.alpha4.el8.next                                   epel-next                                  13 M
Downgrading:
 llvm-compat-libs                            x86_64                         12.0.1-4.module_el8.6.0+1041+0c503ac4                          centos-appstream                           44 M
 mesa-dri-drivers                            x86_64                         21.3.0-1.el8                                                   centos-appstream                           11 M
 mesa-filesystem                             x86_64                         21.3.0-1.el8                                                   centos-appstream                           34 k
 mesa-libxatracker                           x86_64                         21.3.0-1.el8                                                   centos-appstream                          2.0 M
 mesa-vulkan-drivers                         x86_64                         21.3.0-1.el8                                                   centos-appstream                          6.7 M

Transaction Summary
===================================================================================================================================================================================================
Install    23 Packages
Downgrade   5 Packages

Total download size: 115 M
Is this ok [y/N]: 



Expected results:

Install kdevelop without downgrade other libraries

Comment 1 chenhaixing 2022-06-20 07:44:03 UTC
Hi,I've read your question.
I did't have your environment include CentOS and repo.
I can only give you some advice on trying to solve your problem.
I see a similar approach in the following link.
https://bugzilla.redhat.com/show_bug.cgi?id=2089579
You can use dnf versionlock plugin (https://dnf-plugins-core.readthedocs.io/en/latest/versionlock.html) that is part of dnf-plugins-core and lock to llvm and mesa to forbid downgrade to other versions. Another option is to use exclude for all llvm and mesa, but I think versionlock is better suited for your use case.

I'm not sure it works.
I hopo it is useful to you.

Comment 2 giunta 2022-06-23 11:19:00 UTC
Hi,
kdevelop-5.6.2-2.el8.x86_64.rpm (last version available for el8) was compiled with clang libraries available on RHEL 8.5:

DEBUG util.py:446:   clang-devel                           x86_64  12.0.1-4.module+el8.5.0+13246+cefb5d4c build  2.3 M
...
DEBUG util.py:446:   clang                                 x86_64  12.0.1-4.module+el8.5.0+13246+cefb5d4c build   82 k
DEBUG util.py:446:   clang-libs                            x86_64  12.0.1-4.module+el8.5.0+13246+cefb5d4c build   22 M
DEBUG util.py:446:   clang-resource-filesystem             x86_64  12.0.1-4.module+el8.5.0+13246+cefb5d4c build   14 k
DEBUG util.py:446:   clang-tools-extra                     x86_64  12.0.1-4.module+el8.5.0+13246+cefb5d4c build   14 M

Now we are at RHEL 8.6 and we have a new clang version (12.0.1 vs 13.0.1)

=================================================================================== Name Exactly Matched: clang ===================================================================================
clang-13.0.1-1.module+el8.6.0+825+7e27476a.i686 : A C language family front-end for LLVM
clang-13.0.1-1.module+el8.6.0+825+7e27476a.x86_64 : A C language family front-end for LLVM
================================================================================== Name & Summary Matched: clang ==================================================================================
clang-devel-13.0.1-1.module+el8.6.0+825+7e27476a.i686 : Development header files for clang
clang-devel-13.0.1-1.module+el8.6.0+825+7e27476a.x86_64 : Development header files for clang
clang-libs-13.0.1-1.module+el8.6.0+825+7e27476a.x86_64 : Runtime library for clang
clang-libs-13.0.1-1.module+el8.6.0+825+7e27476a.i686 : Runtime library for clang
clang-libs-13.0.1-1.module+el8.6.0+825+7e27476a.x86_64 : Runtime library for clang
clang-resource-filesystem-13.0.1-1.module+el8.6.0+825+7e27476a.x86_64 : Filesystem package that owns the clang resource directory
clang-resource-filesystem-13.0.1-1.module+el8.6.0+825+7e27476a.i686 : Filesystem package that owns the clang resource directory
clang-resource-filesystem-13.0.1-1.module+el8.6.0+825+7e27476a.x86_64 : Filesystem package that owns the clang resource directory
clang-tools-extra-13.0.1-1.module+el8.6.0+825+7e27476a.i686 : Extra tools for clang
clang-tools-extra-13.0.1-1.module+el8.6.0+825+7e27476a.x86_64 : Extra tools for clang


Could you please rebuild kdevelop using last clang libraries ?

Thanks.


Note You need to log in before you can comment on or make changes to this bug.